import java.awt.Color;

/**
 * Air is one of the five materials of this engine.
 * They are used to tell the hero whether he is on ground, falling, swimming, ...
 * 
 * In Air the hero falls.
 * Air is the only object that you can't add to the world using a Background object.
 * Air is everywhere where no other material is to be found.
 * 
 * @author Gevater_Tod4711
 * @version 2.2
 */
public class Air implements Material
{

    public int getMaterialNumber() {
        return 2;
    }
    
    public Color getMaterialColor() {
        return Color.white;
    }
}