import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class BreakMenu here.
 * 
 * @author Gevater_Tod4711
 * @version 1.0
 */
public class BreakMenu extends Menu
{
    private MouseInfo mouse;
    
    public BreakMenu() {
        setImage(Settings.breakMenu);
        getImage().setColor(getImage().getColorAt(245, 145));
        getImage().fillRect(140, 230, 15, 100);
    }
    
    public void act() {
        mouse = Greenfoot.getMouseInfo();
        getImage().setColor(getImage().getColorAt(245, 145));
        getImage().fillRect(140, 230, 15, 100);
        if (mouse != null) {
            if (mouse.getX() > 155 && mouse.getX() < 345) {
                if (mouse.getY() > 245 && mouse.getY() < 260) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(145, 247, 8, 8);
                }
                else if (mouse.getY() > 260 && mouse.getY() < 290) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(145, 273, 8, 8);
                }
                else if (mouse.getY() > 290 && mouse.getY() < 320) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(145, 298, 8, 8);
                }
            }
            if (Greenfoot.mouseClicked(null)) {
                if (mouse.getX() > 155 && mouse.getX() < 345) {
                    if (mouse.getY() > 245 && mouse.getY() < 260) {
                        getWorld().removeObject(this);
                    }
                    else if (mouse.getY() > 260 && mouse.getY() < 290) {
                        getWorld().startLevel(getWorld().getLevel());
                    }
                    else if (mouse.getY() > 290 && mouse.getY() < 320) {
                        getWorld().addObject(new MainMenu(), getWorld().getWidth()/2, getWorld().getHeight()/2);
                        getWorld().removeObject(this);
                    }
                }
                //System.out.println(mouse.getX() + " " + mouse.getY());
            }
        }
    }
}