import java.awt.Color;

/**
 * Lava is one of the five materials of this engine.
 * They are used to tell the hero whether he is on ground, falling, swimming, ...
 * 
 * When the hero touches Lava he'll die.
 * To add lava to the world you have to use a Background object.
 * The only object that is built of Lava is LavaObject.
 * 
 * @author Gevater_Tod4711
 * @version 2.0
 */
public class Lava implements Material
{
    public int getMaterialNumber() {
        return 4;
    }
    
    public Color getMaterialColor() {
        return Color.red;
    }
}