import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class LevelMenu here.
 * 
 * @author Gevater_Tod4711
 * @version 1.0
 */
public class LevelMenu extends Menu
{
    private MouseInfo mouse;
    
    private NumberField numberField = new NumberField(150, 40, Settings.profile.getReachedLevel(), true, 1, Settings.profile.getReachedLevel());
    
    public LevelMenu() {
        setImage(Settings.levelMenu);
        getImage().setColor(getImage().getColorAt(245, 145));
        getImage().fillRect(160, 320, 10, 10);
        getImage().fillRect(250, 320, 10, 10);
    }
    
    public void addedToWorld(World world) {
        getWorld().addObject(numberField, 245, 263);
    }
    
    public void act() {
        mouse = Greenfoot.getMouseInfo();
        getImage().setColor(getImage().getColorAt(245, 145));
        getImage().fillRect(160, 320, 10, 10);
        getImage().fillRect(248, 320, 10, 10);
        if (mouse != null) {
            if (mouse.getY() > 310 && mouse.getY() < 340) {
                if (mouse.getX() > 175 && mouse.getX() < 230) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(160, 320, 10, 10);
                }
                else if (mouse.getX() > 260 && mouse.getX() < 325) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(248, 320, 10, 10);
                }
            }
            if (Greenfoot.mouseClicked(null)) {
                if (mouse.getY() > 310 && mouse.getY() < 340) {
                    if (mouse.getX() > 175 && mouse.getX() < 230) {
                        getWorld().startLevel(numberField.getValue());
                    }
                    else if (mouse.getX() > 260 && mouse.getX() < 325) {
                        numberField.remove();
                        getWorld().removeObject(this);
                    }
                }
                //System.out.println(mouse.getX() + " " + mouse.getY());
            }
        }
    }
}