import greenfoot.*;
import java.awt.Color;

/**
 * Material is a interface for the five material objects of the engine: Earth, Air, Water, Lava and Rope.
 * Each material has a material-specific number and color.
 * 
 * @author Gevater_Tod4711
 * @version 2.2
 */
public interface Material  
{
    int getMaterialNumber();
    
    Color getMaterialColor();
}