import java.awt.Color;

/**
 * Earth is one of the five materials of this engine.
 * They are used to tell the hero whether he is on ground, falling, swimming, ...
 * 
 * On earth the hero is able to stand. 
 * To add earth to the world you have to use a Background object.
 * The objects that are built of earth are: EarthObject, FragilePlatform, MovingPlatform and MovableObject.
 * 
 * @author Gevater_Tod4711
 * @version 2.2
 */
public class Earth implements Material
{

    public int getMaterialNumber() {
        return 1;
    }
    
    public Color getMaterialColor() {
        return Color.black;
    }
}