import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class MainMenu here.
 * 
 * @author Gevater_Tod4711
 * @version 1.0
 */
public class MainMenu extends Menu
{
    private MouseInfo mouse;
    
    public MainMenu() {
        setImage(Settings.mainMenu);
        getImage().setColor(getImage().getColorAt(245, 145));
        getImage().fillRect(145, 220, 20, 100);
    }
    
    public void act() {
        if (getWorld().getObjects(LevelMenu.class).isEmpty()) {
            run();
        }
    }
    
    public void run() {
        mouse = Greenfoot.getMouseInfo();
        getImage().setColor(getImage().getColorAt(245, 145));
        getImage().fillRect(145, 220, 20, 100);
        if (mouse != null) {
            if (mouse.getX() > 140 && mouse.getX() < 335) {
                if (mouse.getY() > 210 && mouse.getY() < 250) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(150, 225, 10, 10);
                }
                else if (mouse.getY() > 250 && mouse.getY() < 290) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(150, 263, 10, 10);
                }
                else if (mouse.getY() > 290 && mouse.getY() < 325) {
                    getImage().setColor(Color.red);
                    getImage().fillOval(150, 301, 10, 10);
                }
            }
            if (Greenfoot.mouseClicked(null)) {
                if (mouse.getX() > 140 && mouse.getX() < 335) {
                    if (mouse.getY() > 210 && mouse.getY() < 250) {
                        getWorld().startLevel(1);
                    }
                    else if (mouse.getY() > 250 && mouse.getY() < 290) {
                        getWorld().addObject(new LevelMenu(), getWorld().getWidth()/2, getWorld().getHeight()/2);
                    }
                    else if (mouse.getY() > 290 && mouse.getY() < 325) {
                        getWorld().startLevel(-1);
                    }
                }
                //System.out.println(mouse.getX() + " " + mouse.getY());
            }
        }
    }
}