import java.awt.Color;

/**
 * Rope is one of the five materials of this engine.
 * They are used to tell the hero whether he is on ground, falling, swimming, ...
 * 
 * Using Ropes the hero is able to climb.
 * To add a rope to the world you have to use a Background object.
 * The only object that is built of Rope is RopeObject.
 * 
 * @author Gevater_Tod4711
 * @version 2.2
 */
public class Rope implements Material
{
    public int getMaterialNumber() {
        return 5;
    }
    
    public Color getMaterialColor() {
        return Color.gray;
    }
}