import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * This class is the background textur of the game.
 * There can be serval backgrounds, only one or just a color.
 * 
 * You can set the background image(s) / color in the class Settings.
 * 
 * @author Gevater_Tod4711
 * @version 1.0
 */
public class Textur extends FixedObject
{
    
    public Textur() {
        
    }
    
    public void addedToWorld(World world) {
        getImage().clear();
        getImage().scale(getWorld().getWidth(), getWorld().getHeight());
        if (Settings.textur != null){
            createTextur();
        }
    }
    
    public void run() {
        
    }
    
    public void createTextur() {
        GreenfootImage textur = Settings.textur;
        for (int i = 0; i < getImage().getWidth(); i += textur.getWidth()) {
            for (int j = 0; j < getImage().getHeight(); j += textur.getHeight()) {
                getImage().drawImage(textur, i, j);
            }
        }
    }
}